package com.yiboshi.science.entity;

import com.yiboshi.science.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper=true)
@ApiModel(description = "评审记录表")
public class ComEvaluationNote extends BaseEntity {
    /** 评审表Id */
    @ApiModelProperty(value = "评审表Id", position = 1)
    @Length(max=36, message = "评审表Id不能大于36")
    private String evaluationId;
    /** 创建人Id */
    @ApiModelProperty(value = "创建人Id", position = 1)
    @Length(max=36, message = "创建人Id不能大于36")
    private String createId;
    /** 评审对象Id */
    @ApiModelProperty(value = "评审对象Id", position = 1)
    @Length(max=36, message = "评审对象Id不能大于36")
    private String objectId;
    /** 得分 */
    @ApiModelProperty(value = "得分", position = 4)
    private BigDecimal score;
    /** 备注 */
    @ApiModelProperty(value = "备注", position = 1)
    @Length(max=200, message = "备注不能大于200")
    private String remark;
}
